### Method

# Soup Message set_method

#### Declaration [src]

    void
    soup_message_set_method (
      SoupMessage* msg,
      const char* method
    )

#### Description [src]

Set `msg`‘s HTTP method to `method`.

Sets property | `Soup.Message:method`

#### Parameters

`method` | `const char*`
| The value to set.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.